Get languages and number of bytes of code written
GET
/repos/{owner}/{repo}/languages
const url = 'https://gitea.example.com/api/v1/repos/example/example/languages';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/languages \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
Responses
Section titled “Responses”LanguageStatistics
Media typeapplication/json
object
key
additional properties
integer format: int64
Examplegenerated
{ "additionalProperty": 1}APINotFound is a not found empty response
Media typeapplication/json